PlayerCc::SimulationProxy Class Reference
Proxies

The `SimulationProxy` proxy provides access to a simulation device. More...

`#include <playerc++.h>`

Inheritance diagram for PlayerCc::SimulationProxy:

## Public Member Functions

| SimulationProxy (PlayerClient *aPc, uint32_t aIndex=0)
| constructor
| ~SimulationProxy ()
| destructor
void | SetPose2d (char *identifier, double x, double y, double a)
| set the 2D pose of an object in the simulator, identified by the std::string. More...
void | GetPose2d (char *identifier, double &x, double &y, double &a)
| get the pose of an object in the simulator, identified by the std::string Returns 0 on success, else a non-zero error code. More...
void | SetPose3d (char *identifier, double x, double y, double z, double roll, double pitch, double yaw)
| set the 3D pose of an object in the simulator, identified by the std::string. More...
void | GetPose3d (char *identifier, double &x, double &y, double &z, double &roll, double &pitch, double &yaw, double &time)
| get the 3D pose of an object in the simulator, identified by the std::string Returns 0 on success, else a non-zero error code. More...
void | GetProperty (char *identifier, char *name, void *value, size_t value_len)
| Get a simulation property.
void | SetProperty (char *identifier, char *name, void *value, size_t value_len)
| Set a simulation property.
Public Member Functions inherited from PlayerCc::ClientProxy
bool | IsValid () const
| Returns true if we have received any data from the device.
bool | IsFresh () const
| Fresh is set to true on each new read. More...
void | NotFresh ()
| This states that the data in a client is currently not Fresh.
std::string | GetDriverName () const
| Returns the driver name. More...
double | GetDataTime () const
| Returns the received timestamp [s].
double | GetElapsedTime () const
| Returns the received timestamp [s].
PlayerClient * | GetPlayerClient () const
| Returns a pointer to the Player Client.
uint32_t | GetIndex () const
| Returns device index.
uint32_t | GetInterface () const
| Returns device interface.
std::string | GetInterfaceStr () const
| Returns device interface.
void | SetReplaceRule (bool aReplace, int aType=-1, int aSubtype=-1)
| Set a replace rule for this proxy on the server. More...
int | HasCapability (uint32_t aType, uint32_t aSubtype)
| Request capabilities of device. More...
int | GetBoolProp (char *aProperty, bool *aValue)
| Request a boolean property.
int | SetBoolProp (char *aProperty, bool aValue)
| Set a boolean property.
int | GetIntProp (char *aProperty, int32_t *aValue)
| Request an integer property.
int | SetIntProp (char *aProperty, int32_t aValue)
| Set an integer property.
int | GetDblProp (char *aProperty, double *aValue)
| Request a double property.
int | SetDblProp (char *aProperty, double aValue)
| Set a double property.
int | GetStrProp (char *aProperty, char **aValue)
| Request a string property.
int | SetStrProp (char *aProperty, char *aValue)
| Set a string property.
template<typename T >
connection_t | ConnectReadSignal (T aSubscriber)
| Connect a signal to this proxy For more information check out Signals & multithreading.
void | DisconnectReadSignal (connection_t aSubscriber)
| Disconnect a signal to this proxy.

## Private Member Functions

void | Subscribe (uint32_t aIndex)
void | Unsubscribe ()

## Private Attributes

playerc_simulation_t * | mDevice

## Additional Inherited Members

Public Types inherited from PlayerCc::ClientProxy
typedef int | connection_t
typedef boost::mutex::scoped_lock | scoped_lock_t
typedef int | read_signal_t
Protected Member Functions inherited from PlayerCc::ClientProxy
| ClientProxy (PlayerClient *aPc, uint32_t aIndex)
template<typename T >
T | GetVar (const T &aV) const
template<typename T >
void | GetVarByRef (const T aBegin, const T aEnd, T aDest) const
Protected Attributes inherited from PlayerCc::ClientProxy
PlayerClient * | mPc
playerc_client_t * | mClient
playerc_device_t * | mInfo
bool | mFresh

## Detailed Description

The `SimulationProxy` proxy provides access to a simulation device.

## Member Function Documentation

void PlayerCc::SimulationProxy::GetPose2d | ( | char * | identifier,
|  | double & | x,
|  | double & | y,
|  | double & | a
| ) |  |

get the pose of an object in the simulator, identified by the std::string Returns 0 on success, else a non-zero error code.

void PlayerCc::SimulationProxy::GetPose3d | ( | char * | identifier,
|  | double & | x,
|  | double & | y,
|  | double & | z,
|  | double & | roll,
|  | double & | pitch,
|  | double & | yaw,
|  | double & | time
| ) |  |

get the 3D pose of an object in the simulator, identified by the std::string Returns 0 on success, else a non-zero error code.

void PlayerCc::SimulationProxy::SetPose2d | ( | char * | identifier,
|  | double | x,
|  | double | y,
|  | double | a
| ) |  |

set the 2D pose of an object in the simulator, identified by the std::string.

Returns 0 on success, else a non-zero error code.

void PlayerCc::SimulationProxy::SetPose3d | ( | char * | identifier,
|  | double | x,
|  | double | y,
|  | double | z,
|  | double | roll,
|  | double | pitch,
|  | double | yaw
| ) |  |

set the 3D pose of an object in the simulator, identified by the std::string.

Returns 0 on success, else a non-zero error code.

The documentation for this class was generated from the following file:

- playerc++.h

Last updated 12 September 2005 21:38:45